BusyConversationException
Date: 2015-09-11

javax.enterprise.context

## Class BusyConversationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.enterprise.context.ContextException
        - - javax.enterprise.context.BusyConversationException

- All Implemented Interfaces:
    java.io.Serializable

      public class BusyConversationException
      extends ContextException

  Indicates that the container has rejected a request because a concurrent request is associated with the same conversation context.

  The container ensures that a long-running conversation may be associated with at most one request at a time, by blocking or rejecting concurrent requests. If the container rejects a request, it must associate the request with a new transient conversation and throw an exception of type `BusyConversationException` from the restore view phase of the JSF lifecycle.

  See Also:
    `ConversationScoped`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BusyConversationException()`
    `BusyConversationException(java.lang.String message)`
    `BusyConversationException(java.lang.String message, java.lang.Throwable cause)`
    `BusyConversationException(java.lang.Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BusyConversationException

          public BusyConversationException()

    - #### BusyConversationException

          public BusyConversationException(java.lang.String message)

    - #### BusyConversationException

          public BusyConversationException(java.lang.Throwable cause)

    - #### BusyConversationException

          public BusyConversationException(java.lang.String message,
                                   java.lang.Throwable cause)